Search Unity

  1. Unity 2020.1 has been released.
    Dismiss Notice
  2. We are looking for feedback on the experimental Unity Safe Mode which is aiming to help you resolve compilation errors faster during project startup.
    Dismiss Notice
  3. Good news ✨ We have more Unite Now videos available for you to watch on-demand! Come check them out and ask our experts any questions!
    Dismiss Notice

5.4 Beta and Oculus 1.3 OVRPlugin

Discussion in '5.4 Beta' started by batate, Mar 29, 2016.

  1. batate

    batate

    Joined:
    Mar 4, 2015
    Posts:
    31
    Th Oculus web site instructions for upgrading for the latest SDK and libraries to use the CV1 and DK2 state that the plug in only works with 5.3.4p1.

    Any news from Unity3d on what 5.4 Beta users should do for Oculus VR support? Or should we hang on for the next beta release?
     
    Last edited: Mar 29, 2016
  2. hoesterey

    hoesterey

    Joined:
    Mar 19, 2010
    Posts:
    558
    I'm curious about this as well.
     
  3. flyingaudio

    flyingaudio

    Joined:
    Dec 3, 2010
    Posts:
    95
    I am looking for this answer also.
     
  4. thep3000

    thep3000

    Unity Technologies

    Joined:
    Aug 9, 2013
    Posts:
    273
    5.4 betas work with 1.3.0, you will have to extract the plugin dlls to a slightly different path, ex: C:\Program Files\Unity 5.4.0b11\Editor\Data\VR\Unity\Win64 for the 64-bit windows OVRPlugin.dll. We will begin shipping the newer plugin in a future beta.

    Oculus has not done as much testing on 5.4 beta builds so they are hesitant to recommend them for shipping products. But please do test them, they are fully compatible.
     
    Protozoaire and elbows like this.
  5. Protozoaire

    Protozoaire

    Joined:
    Apr 14, 2015
    Posts:
    48
    Thank you for that info, I'm using Unity 5.4.0b9 (64-bit) and it was crashing with "old" OVRPlugin.dll (3 weeks old ...).
    With the new one it's working :D
    Thanks again!
     
  6. batate

    batate

    Joined:
    Mar 4, 2015
    Posts:
    31
    Thanks @thep3000 .. I was just wanting this to work for local testing of 5.4 beta rather than to prepare a shipping product or VR experience. I see other files in the directory you mention and assume we should only overwrite the files provided by the Oculus 1.3.0

    As far as I can see the Oculus 1.3 files are not yet in 5.4.0b13 (April 4th) or 5.3.4p2 (released today)?

    Oculus do need to update their web page for developers at https://developer.oculus.com/downloads/game-engines/1.3.0/OVRPlugin_for_Unity_5/ which as of today (April 7th) even though 5.3.4p2 is out still says

    Note: Do not install OVRPlugin version 1.3.0 with any version of Unity other than 5.3.4p1, or it will not work properly.
     
    Last edited: Apr 7, 2016
  7. batate

    batate

    Joined:
    Mar 4, 2015
    Posts:
    31
    Quick feedback... I just did a trial with 5.4.0b11 (which I already had installed) with the Oculus 1.3 for Unity 5 libraries placed in the new locations. I used one of my VR Experience apps (International Space Station EVA) and did a Windows 64 standalone .exe build. I tried it with my Oculus DK2 using Oculus Home 1.3 and it all works fine. Thanks.

    2016-04-07-Unity-5-4-0-b11-with-Oculus-1-3-ISS-VR.jpg
     
    thep3000 and Todd-Wasson like this.
  8. batate

    batate

    Joined:
    Mar 4, 2015
    Posts:
    31
    The Oculus OVRPlugin 1.3.2 is included in Unity 5.4.0 beta 16 (27th April 2016) and later, so a download from Oculus is no longer required.

    The Oculus OVRPlugin 1.3.2 is also included in the "full" stable release Unity 5.3.5f1 (20th May 2016).
     
unityunity